DROP TABLE IF EXISTS `groups`;
CREATE TABLE IF NOT EXISTS `groups` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_admin` int(11) NOT NULL,
  `name` varchar(512) DEFAULT 'Новая группа',
  `avatar` varchar(128) DEFAULT NULL,
  `comment` varchar(10240) DEFAULT NULL,
  `category` varchar(128) DEFAULT 'Без категории',
  `theme` int(11) DEFAULT '0',
  `privacy_view` int(1) DEFAULT '1',
  `privacy_come` int(1) DEFAULT '1',
  `privacy_photo` int(1) DEFAULT '0',
  `privacy_forum` int(1) DEFAULT '0',
  `hide_admin` int(1) DEFAULT '0',
  `public_admin` int(1) DEFAULT '0',
  `tape_admin` int(1) DEFAULT '0',
  `time_created` int(11) NOT NULL,
  `rating` int(11) DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `groups_users`;
CREATE TABLE IF NOT EXISTS `groups_users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_group` int(11) NOT NULL,
  `level` int(1) DEFAULT '1',
  `invite` int(11) DEFAULT '0',
  `read` int(1) DEFAULT '0',
  `time` int(11) NOT NULL,
  `rating` int(11) DEFAULT '0',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `groups_albums`;
CREATE TABLE IF NOT EXISTS `groups_albums` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_group` int(11) NOT NULL,
  `upload_admin` int(1) DEFAULT '0',
  `name` varchar(512) DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `groups_videos`;
CREATE TABLE IF NOT EXISTS `groups_videos` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `name` varchar(2048) DEFAULT NULL,
  `id_group` int(11) NOT NULL,
  `view` int(11) DEFAULT '0',
  `duration` int(11) DEFAULT '0',
  `hash` varchar(128) NOT NULL,
  `type` varchar(128) NOT NULL,
  `codec` varchar(128) NOT NULL,
  `ras` varchar(5) DEFAULT 'mp4',
  `size` int(11) DEFAULT '0',
  `h` int(11) DEFAULT '0',
  `w` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `groups_photos`;
CREATE TABLE IF NOT EXISTS `groups_photos` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `name` varchar(2048) DEFAULT NULL,
  `id_group` int(11) NOT NULL,
  `id_albums` int(11) DEFAULT '0',
  `avatar` int(1) DEFAULT '0',
  `hash` varchar(128) NOT NULL,
  `size` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `groups_friends`;
CREATE TABLE IF NOT EXISTS `groups_friends` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_friends` int(11) NOT NULL,
  `id_group` int(11) NOT NULL,
  `confirm` int(11) DEFAULT '0',
  `count` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `groups_topic`;
CREATE TABLE IF NOT EXISTS `groups_topic` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_group` int(11) NOT NULL,
  `name` MEDIUMTEXT DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `groups_comments`;
CREATE TABLE IF NOT EXISTS `groups_comments` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_reply` int(11) NOT NULL,
  `id_group` int(11) NOT NULL,
  `id_object` int(11) NOT NULL,
  `type` MEDIUMTEXT DEFAULT NULL,
  `msg` MEDIUMTEXT DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `groups_tape`;
CREATE TABLE IF NOT EXISTS `groups_tape` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `id_group` int(11) NOT NULL,
  `id_object` int(11) NOT NULL,
  `id_last` int(11) DEFAULT '0',
  `count` int(11) DEFAULT '1',
  `type` MEDIUMTEXT DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;